<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function resize_image($imgName, $width, $height)
{
  if(!($img = imagecreatefromjpeg($imgName))){
    echo("Nie mogę otworzyć pliku: $imgName");
    return false;
  }
  $sW = imagesx($img);
  $sH = imagesy($img);
  $tempImg = imagecreatetruecolor($width, $height);
  imagecopyresampled($tempImg, $img, 0, 0, 0, 0, $width, $height, $sW, $sH);

  $name = substr($imgName, 0, strlen($imgName) - 4);
  $name = $name."-resized.jpg";

  imagejpeg($tempImg, $name);
}
if($argc != 4){
  echo("Wywołanie skryptu: skrypt.php nazwa_obrazu.jpg szerokość wysokość");
  exit;
}
if(!is_numeric($argv[2]) || !is_numeric($argv[3]) || $argv[2] < 1 || $argv[3] < 1){
  echo("Szerokość i wysokość muszą być wartościami całkowitymi większymi od 0.");
  exit;
}
resize_image($argv[1], $argv[2], $argv[3]);
?>